Package org.drinkless.tdlib

# Class TdApi.InputSuggestedPostInfo

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.InputSuggestedPostInfo

Enclosing class:
  `TdApi`

public static class TdApi.InputSuggestedPostInfo extends TdApi.Object
Contains information about a post to suggest.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.SuggestedPostPrice`
  `price`
  Price of the suggested post; pass null to suggest a post without payment.
  `int`
  `sendDate`
  Point in time (Unix timestamp) when the post is expected to be published; pass 0 if the date isn't restricted.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InputSuggestedPostInfo()`
  Contains information about a post to suggest.
  `InputSuggestedPostInfo(TdApi.SuggestedPostPrice price, int sendDate)`
  Contains information about a post to suggest.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### price

    public TdApi.SuggestedPostPrice price
    Price of the suggested post; pass null to suggest a post without payment. If the current user isn't an administrator of the channel direct messages chat and has no enough funds to pay for the post, then the error "BALANCE_TOO_LOW" will be returned immediately.

  - ### sendDate

    public int sendDate
    Point in time (Unix timestamp) when the post is expected to be published; pass 0 if the date isn't restricted. If specified, then the date must be getOption("suggested_post_send_delay_min")-getOption("suggested_post_send_delay_max") seconds in the future.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### InputSuggestedPostInfo

    public InputSuggestedPostInfo()
    Contains information about a post to suggest.

  - ### InputSuggestedPostInfo

    public InputSuggestedPostInfo(TdApi.SuggestedPostPrice price, int sendDate)
    Contains information about a post to suggest.
    Parameters:
      `price` - Price of the suggested post; pass null to suggest a post without payment. If the current user isn't an administrator of the channel direct messages chat and has no enough funds to pay for the post, then the error "BALANCE_TOO_LOW" will be returned immediately.
      `sendDate` - Point in time (Unix timestamp) when the post is expected to be published; pass 0 if the date isn't restricted. If specified, then the date must be getOption("suggested_post_send_delay_min")-getOption("suggested_post_send_delay_max") seconds in the future.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR